Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd
Class PMDException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              net.sourceforge.pmd.PMDException

All Implemented Interfaces:
  java.io.Serializable

public class PMDException
extends java.lang.Exception

A convenience exception wrapper. Contains the original exception, if any. Also, contains a severity number (int). Zero implies no severity. The higher the number the greater the severity.

Since:
  August 30, 2002
Version:
  $Revision: 1.6 $, $Date: 2006/02/10 14:15:23 $
Author:
  Donald A. Leckie
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Constructor Summary
`PMDException(java.lang.String message)`
`PMDException(java.lang.String message, java.lang.Exception reason)`

Method Summary
`java.lang.Exception` | `getReason()`
`int` | `getSeverity()`
`void` | `printStackTrace()`
`void` | `printStackTrace(java.io.PrintStream s)`
`void` | `printStackTrace(java.io.PrintWriter s)`
`void` | `setSeverity(int severity)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PMDException

    public PMDException(java.lang.String message)

### PMDException

    public PMDException(java.lang.String message,
                        java.lang.Exception reason)

Method Detail

### printStackTrace

    public void printStackTrace()

### printStackTrace

    public void printStackTrace(java.io.PrintStream s)

### printStackTrace

    public void printStackTrace(java.io.PrintWriter s)

### getReason

    public java.lang.Exception getReason()

### setSeverity

    public void setSeverity(int severity)

### getSeverity

    public int getSeverity()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.